View Issue Details

IDProjectCategoryLast Update
0026081AI War 2Crash/ExceptionJan 14, 2022 10:08 pm
ReporterBadgerBadger Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 3.781 Tachyon Healing Reversal 
Fixed in VersionBeta 3.785 Just Bugfixes 
Summary0026081: duplicate unit at game load time
Description1/7/2022 10:06:10 PM 3.781 SINGLEP Error: had duplicate unit with ID 3750; discarded second one.
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at Arcen.Universal.ArcenDe1/7/2022 10:06:10 PM 3.781 SINGLEP Error: had duplicate unit with ID 3750; discarded second one.
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at Arcen.Universal.ArcenDebugging.ArcenLog_InnerOnMainThreadOnly (System.String Message, Arcen.Universal.DebugLogDestination Destina\
tion, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00197] in /home/arcengames_\
aiw-ultra/CodeCrossProject/ArcenUniversal/src/UtilityLibraries/Debug/ArcenDebugging.cs:411
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00051] in /home/arce\
ngames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/UtilityLibraries/Debug/ArcenDebugging.cs:242
  at Arcen.AIW2.Core.World_AIW2.RegisterNewEntity (Arcen.AIW2.Core.GameEntity_Squad Entity) [0x000fc] in /home/arcengames_aiw-ultra/Co\
deMain/ArcenAIW2Core/src/Logic/GameState/World_AIW2.cs:4476
  at Arcen.AIW2.Core.GameEntity_Squad.DeserializeSquadIntoSelf (System.Int32 primaryKeyID, Arcen.AIW2.Core.GameEntityTypeData typeData\
, Arcen.AIW2.Core.Planet NewPlanet, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean HideErrors, System.Boolean IsLoa\
dingTemplate, Arcen.Universal.SerializationCommandType SerializationCmdType, Arcen.AIW2.Core.PlanetFaction NewPlanetFaction) [0x01591]\
 in /home/arcengames_aiw-ultra/CodeMain/ArcenAIW2Core/src/Logic/GameState/GameEntity/GameEntity_Squad.cs:1996
  at Arcen.AIW2.Core.GameEntity_Squad.FinishSquadDeserializeFrom (System.Int32 primaryKeyID, Arcen.AIW2.Core.GameEntityTypeData typeDa\
ta, Arcen.AIW2.Core.Planet Planet, Arcen.AIW2.Core.PlanetFaction Faction, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Bo\
olean HideErrors, System.Boolean IsLoadingTemplate, Arcen.Universal.SerializationCommandType SerializationCmdType) [0x0006c] in /home/\
arcengames_aiw-ultra/CodeMain/ArcenAIW2Core/src/Logic/GameState/GameEntity/GameEntity_Squad.cs:1448
  at Arcen.AIW2.Core.GameEntity_Base.StartAnyEntityDeserializeFrom (Arcen.AIW2.Core.Planet Planet, Arcen.AIW2.Core.PlanetFaction Facti\
on, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean HideErrors, System.Boolean& HadCatastrophicFail, System.Boolean \
IsLoadingForTemplate, Arcen.Universal.SerializationCommandType SerializationCmdType) [0x001c7] in /home/arcengames_aiw-ultra/CodeMain/\
ArcenAIW2Core/src/Logic/GameState/GameEntity/GameEntity.cs:436
  at Arcen.AIW2.Core.PlanetFaction.DeserializePlanetFactionEntities (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean\
 LoadAsTemplate, System.Boolean HideErrors, Arcen.Universal.SerializationCommandType SerializationCmdType) [0x000ca] in /home/arcengam\
es_aiw-ultra/CodeMain/ArcenAIW2Core/src/Logic/GameState/CombatEncounter/PlanetFaction.cs:554
  at Arcen.AIW2.Core.Planet.DeserializePlanetFactionsAndEntitiesTo (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean \
LoadAsTemplate, System.Boolean HideErrors, Arcen.Universal.SerializationCommandType SerializationCmdType) [0x0015a] in /home/arcengame\
s_aiw-ultra/CodeMain/ArcenAIW2Core/src/Logic/GameState/Mapping/Planet.cs:989
  at Arcen.AIW2.Core.Galaxy.DeserializePlanetFactionsAndEntitiesInto (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolea\
n LoadAsTemplate, System.Boolean HideErrors, Arcen.Universal.SerializationCommandType SerializationType) [0x00035] in /home/arcengames\
_aiw-ultra/CodeMain/ArcenAIW2Core/src/Logic/GameState/Mapping/Galaxy.cs:161
  at Arcen.AIW2.Core.World_AIW2.DeserializeWorldFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate\
, System.Boolean IsLoadingFromQuickstartOrLastLobbySettings, System.Boolean HideErrors, Arcen.Universal.SerializationCommandType Seria\
lizationType) [0x0085e] in /home/arcengames_aiw-ultra/CodeMain/ArcenAIW2Core/src/Logic/GameState/World_AIW2.cs:1348
  at Arcen.Universal.World.DeserializedIntoSelf (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, Sys\
tem.Boolean IsLoadingFromQuickstartOrLastLobbySettings, System.Boolean HideErrors, System.String& ErrorText, System.Boolean IgnoreAnyM\
issingExpansionsOrMods, Arcen.Universal.SerializationCommandType SerializationType) [0x00659] in /home/arcengames_aiw-ultra/CodeCrossP\
roject/ArcenUniversal/src/Logic/GameState/World.cs:706
  at Arcen.Universal.World.DeserializeNewWorldFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, \
System.Boolean IsLoadingFromQuickstartOrLastLobbySettings, System.Boolean HideErrors, System.String& ErrorText, System.Boolean IgnoreA\
nyMissingExpansionsOrMods, Arcen.Universal.SerializationCommandType SerializationType) [0x0011d] in /home/arcengames_aiw-ultra/CodeCro\
ssProject/ArcenUniversal/src/Logic/GameState/World.cs:479
  at Arcen.Universal.World.LoadWorldFromDiskInner (System.String FullSaveName, System.Byte[] Bytes, System.Boolean LoadAsTemplate, Sys\
tem.Boolean IsLoadingFromQuickstartOrLastLobbySettings, System.Boolean HideErrors, System.Boolean IgnoreAnyMissingExpansionsOrMods, Ar\
cen.Universal.GameVersion& FromGameVersion) [0x0023b] in /home/arcengames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/Logic/GameStat\
e/World.cs:1233
  at Arcen.Universal.World.LoadWorldFromDiskNoCampaignNameSet (System.String FullSaveName, System.Boolean LoadAsTemplate, System.Boole\
an IsLoadingFromQuickstartOrLastLobbySettings, System.Boolean HideErrors, System.Boolean IgnoreAnyMissingExpansionsOrMods, Arcen.Unive\
rsal.GameVersion& FromGameVersion) [0x00055] in /home/arcengames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/Logic/GameState/World.c\
s:1104
  at Arcen.Universal.Engine_Universal.LoadGameNoCampaignNameSet_NeverCallDirectly_P1 (System.String FullSaveGameName, System.Boolean L\
oadAsTemplate, System.Boolean IsLoadingFromQuickstartOrLastLobbySettings, System.Boolean HideErrors, System.Boolean IgnoreAnyMissingEx\
pansionsOrMods) [0x00019] in /home/arcengames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/Engine_Universal.cs:2078
  at Arcen.AIW2.Core.Engine_AIW2.LoadGameNoCampaignNameSet (System.String FullSaveGameName, Arcen.AIW2.Core.StartWorldSource1 StartSou\
rce1, Arcen.AIW2.Core.StartWorldSource2 StartSource2, System.Boolean IgnoreAnyMissingExpansionsOrMods) [0x000d6] in /home/arcengames_a\
iw-ultra/CodeMain/ArcenAIW2Core/src/Logic/Engine_AIW2.cs:1752
  at Arcen.AIW2.External.Window_MainMenu+bContinueGame.HandleClick_Subclass (MouseHandlingInput input) [0x00000] in <ee6949803f8e43c7a\
de298a0f936dbdf>:0
bugging.ArcenLog_InnerOnMainThreadOnly (System.String Message, Arcen.Universal.DebugLogDestination Destina\
tion, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00197] in /home/arcengames_\
aiw-ultra/CodeCrossProject/ArcenUniversal/src/UtilityLibraries/Debug/ArcenDebugging.cs:411
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00051] in /home/arce\
ngames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/UtilityLibraries/Debug/ArcenDebugging.cs:242
  at Arcen.AIW2.Core.World_AIW2.RegisterNewEntity (Arcen.AIW2.Core.GameEntity_Squad Entity) [0x000fc] in /home/arcengames_aiw-ultra/Co\
deMain/ArcenAIW2Core/src/Logic/GameState/World_AIW2.cs:4476
  at Arcen.AIW2.Core.GameEntity_Squad.DeserializeSquadIntoSelf (System.Int32 primaryKeyID, Arcen.AIW2.Core.GameEntityTypeData typeData\
, Arcen.AIW2.Core.Planet NewPlanet, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean HideErrors, System.Boolean IsLoa\
dingTemplate, Arcen.Universal.SerializationCommandType SerializationCmdType, Arcen.AIW2.Core.PlanetFaction NewPlanetFaction) [0x01591]\
 in /home/arcengames_aiw-ultra/CodeMain/ArcenAIW2Core/src/Logic/GameState/GameEntity/GameEntity_Squad.cs:1996
  at Arcen.AIW2.Core.GameEntity_Squad.FinishSquadDeserializeFrom (System.Int32 primaryKeyID, Arcen.AIW2.Core.GameEntityTypeData typeDa\
ta, Arcen.AIW2.Core.Planet Planet, Arcen.AIW2.Core.PlanetFaction Faction, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Bo\
olean HideErrors, System.Boolean IsLoadingTemplate, Arcen.Universal.SerializationCommandType SerializationCmdType) [0x0006c] in /home/\
arcengames_aiw-ultra/CodeMain/ArcenAIW2Core/src/Logic/GameState/GameEntity/GameEntity_Squad.cs:1448
  at Arcen.AIW2.Core.GameEntity_Base.StartAnyEntityDeserializeFrom (Arcen.AIW2.Core.Planet Planet, Arcen.AIW2.Core.PlanetFaction Facti\
on, Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean HideErrors, System.Boolean& HadCatastrophicFail, System.Boolean \
IsLoadingForTemplate, Arcen.Universal.SerializationCommandType SerializationCmdType) [0x001c7] in /home/arcengames_aiw-ultra/CodeMain/\
ArcenAIW2Core/src/Logic/GameState/GameEntity/GameEntity.cs:436
  at Arcen.AIW2.Core.PlanetFaction.DeserializePlanetFactionEntities (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean\
 LoadAsTemplate, System.Boolean HideErrors, Arcen.Universal.SerializationCommandType SerializationCmdType) [0x000ca] in /home/arcengam\
es_aiw-ultra/CodeMain/ArcenAIW2Core/src/Logic/GameState/CombatEncounter/PlanetFaction.cs:554
  at Arcen.AIW2.Core.Planet.DeserializePlanetFactionsAndEntitiesTo (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean \
LoadAsTemplate, System.Boolean HideErrors, Arcen.Universal.SerializationCommandType SerializationCmdType) [0x0015a] in /home/arcengame\
s_aiw-ultra/CodeMain/ArcenAIW2Core/src/Logic/GameState/Mapping/Planet.cs:989
  at Arcen.AIW2.Core.Galaxy.DeserializePlanetFactionsAndEntitiesInto (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolea\
n LoadAsTemplate, System.Boolean HideErrors, Arcen.Universal.SerializationCommandType SerializationType) [0x00035] in /home/arcengames\
_aiw-ultra/CodeMain/ArcenAIW2Core/src/Logic/GameState/Mapping/Galaxy.cs:161
  at Arcen.AIW2.Core.World_AIW2.DeserializeWorldFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate\
, System.Boolean IsLoadingFromQuickstartOrLastLobbySettings, System.Boolean HideErrors, Arcen.Universal.SerializationCommandType Seria\
lizationType) [0x0085e] in /home/arcengames_aiw-ultra/CodeMain/ArcenAIW2Core/src/Logic/GameState/World_AIW2.cs:1348
  at Arcen.Universal.World.DeserializedIntoSelf (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, Sys\
tem.Boolean IsLoadingFromQuickstartOrLastLobbySettings, System.Boolean HideErrors, System.String& ErrorText, System.Boolean IgnoreAnyM\
issingExpansionsOrMods, Arcen.Universal.SerializationCommandType SerializationType) [0x00659] in /home/arcengames_aiw-ultra/CodeCrossP\
roject/ArcenUniversal/src/Logic/GameState/World.cs:706
  at Arcen.Universal.World.DeserializeNewWorldFrom (Arcen.Universal.ArcenDeserializationBuffer Buffer, System.Boolean LoadAsTemplate, \
System.Boolean IsLoadingFromQuickstartOrLastLobbySettings, System.Boolean HideErrors, System.String& ErrorText, System.Boolean IgnoreA\
nyMissingExpansionsOrMods, Arcen.Universal.SerializationCommandType SerializationType) [0x0011d] in /home/arcengames_aiw-ultra/CodeCro\
ssProject/ArcenUniversal/src/Logic/GameState/World.cs:479
  at Arcen.Universal.World.LoadWorldFromDiskInner (System.String FullSaveName, System.Byte[] Bytes, System.Boolean LoadAsTemplate, Sys\
tem.Boolean IsLoadingFromQuickstartOrLastLobbySettings, System.Boolean HideErrors, System.Boolean IgnoreAnyMissingExpansionsOrMods, Ar\
cen.Universal.GameVersion& FromGameVersion) [0x0023b] in /home/arcengames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/Logic/GameStat\
e/World.cs:1233
  at Arcen.Universal.World.LoadWorldFromDiskNoCampaignNameSet (System.String FullSaveName, System.Boolean LoadAsTemplate, System.Boole\
an IsLoadingFromQuickstartOrLastLobbySettings, System.Boolean HideErrors, System.Boolean IgnoreAnyMissingExpansionsOrMods, Arcen.Unive\
rsal.GameVersion& FromGameVersion) [0x00055] in /home/arcengames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/Logic/GameState/World.c\
s:1104
  at Arcen.Universal.Engine_Universal.LoadGameNoCampaignNameSet_NeverCallDirectly_P1 (System.String FullSaveGameName, System.Boolean L\
oadAsTemplate, System.Boolean IsLoadingFromQuickstartOrLastLobbySettings, System.Boolean HideErrors, System.Boolean IgnoreAnyMissingEx\
pansionsOrMods) [0x00019] in /home/arcengames_aiw-ultra/CodeCrossProject/ArcenUniversal/src/Engine_Universal.cs:2078
  at Arcen.AIW2.Core.Engine_AIW2.LoadGameNoCampaignNameSet (System.String FullSaveGameName, Arcen.AIW2.Core.StartWorldSource1 StartSou\
rce1, Arcen.AIW2.Core.StartWorldSource2 StartSource2, System.Boolean IgnoreAnyMissingExpansionsOrMods) [0x000d6] in /home/arcengames_a\
iw-ultra/CodeMain/ArcenAIW2Core/src/Logic/Engine_AIW2.cs:1752
  at Arcen.AIW2.External.Window_MainMenu+bContinueGame.HandleClick_Subclass (MouseHandlingInput input) [0x00000] in <ee6949803f8e43c7a\
de298a0f936dbdf>:0
TagsNo tags attached.

Activities

x4000Bughunter

Jan 8, 2022 12:53 am

administrator   ~0063702

Do you know what version the original save was from? This is a bug in the save, not in the load process.

x4000Bughunter

Jan 14, 2022 10:08 pm

administrator   ~0063800

* The game no longer even gives warnings about duplicate entity IDs that it has successfully handled. This was from units that moved between planets just as a savegame was happening, so they wound up getting included twice. No biggie in the grand scheme, the savegame load process solves it already. Now it just does so silently.

Issue History

Date Modified Username Field Change
Jan 8, 2022 12:09 am BadgerBadger New Issue
Jan 8, 2022 12:53 am x4000Bughunter Note Added: 0063702
Jan 14, 2022 10:08 pm x4000Bughunter Assigned To => x4000Bughunter
Jan 14, 2022 10:08 pm x4000Bughunter Status new => resolved
Jan 14, 2022 10:08 pm x4000Bughunter Resolution open => fixed
Jan 14, 2022 10:08 pm x4000Bughunter Fixed in Version => Beta 3.785 Just Bugfixes
Jan 14, 2022 10:08 pm x4000Bughunter Note Added: 0063800